> ## Documentation Index
> Fetch the complete documentation index at: https://docs-test.rye.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List product subscriptions

> Retrieve product subscription rules.



## OpenAPI

````yaml https://app.stainless.com/api/spec/documented/checkout-intents/openapi.documented.yml get /api/v1/products/subscriptions
openapi: 3.0.0
info:
  title: Universal Checkout API
  version: 1.0.5
  description: >-
    Turn any product URL into a completed checkout. Instantly retrieve price,
    tax, and shipping for any product, and let users buy without ever leaving
    your native AI experience.


    View the [Rye API docs](https://docs.rye.com).
  termsOfService: https://rye.com/terms-of-service
  license:
    name: UNLICENSED
  contact:
    name: Rye
    email: dev@rye.com
    url: https://docs.rye.com
servers:
  - url: https://staging.api.rye.com
security: []
paths:
  /api/v1/products/subscriptions:
    get:
      tags:
        - Products
      summary: List product subscriptions
      description: Retrieve product subscription rules.
      operationId: ListSubscriptions
      parameters: []
      responses:
        '200':
          description: Product subscriptions
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListProductSubscriptionsResponse'
        '401':
          description: Authentication Failed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AuthenticationError'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotFoundError'
        '429':
          description: Too Many Requests
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TooManyRequestsError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RuntimeError'
      security:
        - bearerAuth:
            - products:read
      x-codeSamples:
        - lang: JavaScript
          source: |-
            import CheckoutIntents from 'checkout-intents';

            const client = new CheckoutIntents({
              apiKey: process.env['CHECKOUT_INTENTS_API_KEY'], // This is the default and can be omitted
            });

            const response = await client.products.listSubscriptions();

            console.log(response.data);
        - lang: Python
          source: |-
            import os
            from checkout_intents import CheckoutIntents

            client = CheckoutIntents(
                api_key=os.environ.get("CHECKOUT_INTENTS_API_KEY"),  # This is the default and can be omitted
            )
            response = client.products.list_subscriptions()
            print(response.data)
        - lang: Java
          source: |-
            package com.rye.example;

            import com.rye.client.CheckoutIntentsClient;
            import com.rye.client.okhttp.CheckoutIntentsOkHttpClient;
            import com.rye.models.products.ProductListSubscriptionsParams;
            import com.rye.models.products.ProductListSubscriptionsResponse;

            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    CheckoutIntentsClient client = CheckoutIntentsOkHttpClient.fromEnv();

                    ProductListSubscriptionsResponse response = client.products().listSubscriptions();
                }
            }
        - lang: cURL
          source: |-
            curl https://staging.api.rye.com/api/v1/products/subscriptions \
                -H "Authorization: Bearer $CHECKOUT_INTENTS_API_KEY"
components:
  schemas:
    ListProductSubscriptionsResponse:
      properties:
        data:
          items:
            $ref: '#/components/schemas/ProductSubscriptionResponse'
          type: array
      required:
        - data
      type: object
    AuthenticationError:
      properties:
        name:
          type: string
        message:
          type: string
        stack:
          type: string
      required:
        - name
        - message
      type: object
      additionalProperties: false
    NotFoundError:
      properties:
        name:
          type: string
        message:
          type: string
        stack:
          type: string
      required:
        - name
        - message
      type: object
      additionalProperties: false
    TooManyRequestsError:
      properties:
        name:
          type: string
        message:
          type: string
        stack:
          type: string
        retryAfter:
          type: string
      required:
        - name
        - message
      type: object
      additionalProperties: false
    RuntimeError:
      properties:
        name:
          type: string
        message:
          type: string
        stack:
          type: string
      required:
        - name
        - message
      type: object
      additionalProperties: false
    ProductSubscriptionResponse:
      anyOf:
        - $ref: '#/components/schemas/ProductSubscriptionProductResponse'
        - $ref: '#/components/schemas/ProductSubscriptionStoreResponse'
    ProductSubscriptionProductResponse:
      properties:
        subscribed:
          type: boolean
          description: Whether the resolved product is subscribed after the mutation.
        url:
          type: string
          description: Product subscription URL.
        id:
          type: string
          description: Product id.
        type:
          type: string
          enum:
            - product
          nullable: false
          description: Scope of the subscription change.
      required:
        - subscribed
        - url
        - id
        - type
      type: object
    ProductSubscriptionStoreResponse:
      properties:
        subscribed:
          type: boolean
          description: Whether the resolved store is subscribed after the mutation.
        url:
          type: string
          description: Store subscription URL.
        domain:
          type: string
          description: Store domain.
        type:
          type: string
          enum:
            - store
          nullable: false
          description: Scope of the subscription change.
      required:
        - subscribed
        - url
        - domain
        - type
      type: object
  securitySchemes:
    bearerAuth:
      type: apiKey
      in: header
      name: Authorization
      description: Rye API key

````